Create tag value
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"is_archived": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values"
payload = {
"value": "<string>",
"is_archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', is_archived: true})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}""""Tag Values
Create tag value
Creates a new tag value definition for a specific tag dimension.
POST
/
v1
/
businesses
/
{businessId}
/
tags
/
dimensions
/
{dimensionId}
/
values
Create tag value
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business
The UUID of the tag dimension to create value for
Body
application/json
Response
Tag value definition already exists
Unique identifier for the tag value definition
The tag dimension key
The tag value
Optional display name for the tag value definition
Timestamp when the tag value definition was archived
āI